summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-16 00:44:55 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-16 00:44:55 +0000
commit30b706f90135dd67c79f7d731ad66cbac1dae12f (patch)
tree9b156bf34773b14a39a85807384505b1b6e6874a /dev-python
parentbd81cbb94eb6f594075ebbc72f6f5a748e848b26 (diff)
downloadbaldeagleos-repo-30b706f90135dd67c79f7d731ad66cbac1dae12f.tar.gz
baldeagleos-repo-30b706f90135dd67c79f7d731ad66cbac1dae12f.tar.xz
baldeagleos-repo-30b706f90135dd67c79f7d731ad66cbac1dae12f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.10.2.ebuild131
-rw-r--r--dev-python/aioredis/metadata.xml4
-rw-r--r--dev-python/asttokens/Manifest1
-rw-r--r--dev-python/asttokens/asttokens-2.0.8.ebuild43
-rw-r--r--dev-python/filebytes/filebytes-9999.ebuild2
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.35.0.ebuild58
-rw-r--r--dev-python/oslo-concurrency/metadata.xml4
-rw-r--r--dev-python/patiencediff/metadata.xml6
-rw-r--r--dev-python/pygments/Manifest1
-rw-r--r--dev-python/pygments/pygments-2.13.0.ebuild39
-rw-r--r--dev-python/reportlab/reportlab-3.6.11.ebuild2
-rw-r--r--dev-python/sphinxcontrib-apidoc/metadata.xml6
-rw-r--r--dev-python/tempest/metadata.xml4
-rw-r--r--dev-python/wand/Manifest3
-rw-r--r--dev-python/wand/wand-0.6.10.ebuild (renamed from dev-python/wand/wand-0.6.8.ebuild)0
-rw-r--r--dev-python/wand/wand-0.6.7-r1.ebuild33
-rw-r--r--dev-python/wand/wand-0.6.7.ebuild32
19 files changed, 284 insertions, 87 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index e7c09135e086..30557b5c64ad 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -1,4 +1,5 @@
DIST PyPDF2-2.10.0.gh.tar.gz 6355180 BLAKE2B 1070e4989609cb1361f966f06a23a972ba0f53d6d02d2f489104a7198111d4e80573e2a54d7446bd85ccc8270ad8cb592c2131f0ba1433b3c1ca246bcd39c466 SHA512 dfc543a9cbc4c4e185abc928a64a8aeb5c69d833d3af0983bc994bb6a62b65732a6ea0a7b260bca4de8854639c0a03e0cc6398a5d9ec4df9125ccf7e4b3b264d
+DIST PyPDF2-2.10.2.gh.tar.gz 6434051 BLAKE2B 36778692fc8fff4c4dba16e94128b09d366a7c10d0f2a73c85f6de1b2baf1c6545fdd816cf633757276b79893087fc983c8a0b8e756fd375a0ae319cb75fe108 SHA512 6e19bc2967abfd813f05607126e3ae07daa202428db667c6a729513f12f4d962f0350475dd5806bd36a40fafd7dc6c2073fd7d4db24321061b1a73e93225e78b
DIST PyPDF2-2.8.1.gh.tar.gz 5872212 BLAKE2B 19224d1b38947ad14adfb9b33201e0223f6da43072c6bffb78fae939872d0a025e6d2fd6f1eed0c0b88754a359a5459a45a36130659d81089caa884025a922d1 SHA512 6414339017c154610dbb5affcbf94fcda7ab6d1ea78f35cc348a2b8e5fc8c60216c4f20ffc114cb3abd8245ad7a8b40b4cca6161e3a98caff896fb823acc7bea
DIST PyPDF2-2.9.0.gh.tar.gz 5877910 BLAKE2B afea03f9ac21e4b39cd39ce03adf70a8e08b80315f7cdd81440e371396ba48939560a3835de9587be8020e1aab75726409ecec753ef0fb042d69fe7fc6755e80 SHA512 fefbc6e6eb7ac0a0154f662044acb66f1c034efc114e878ced109d54a3e5427bb73088cb88d765c4576c2d67459a2daf64415789f8efe9b66cf8ed2bb78ff297
DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
diff --git a/dev-python/PyPDF2/PyPDF2-2.10.2.ebuild b/dev-python/PyPDF2/PyPDF2-2.10.2.ebuild
new file mode 100644
index 000000000000..17e6afa1221d
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.10.2.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=b6f4ff3de00745783d79f25cb8803901d1f20d28
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_cmap.py
+ tests/test_filters.py::test_decompress_zlib_error
+ tests/test_filters.py::test_lzw_decode_neg1
+ tests/test_filters.py::test_issue_399
+ tests/test_generic.py::test_dict_read_from_stream
+ tests/test_generic.py::test_parse_content_stream_peek_percentage
+ tests/test_generic.py::test_read_inline_image_no_has_q
+ tests/test_generic.py::test_read_inline_image_loc_neg_1
+ tests/test_generic.py::test_text_string_write_to_stream
+ tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+ tests/test_generic.py::test_bool_repr
+ tests/test_generic.py::test_issue_997
+ tests/test_merger.py::test1
+ tests/test_merger.py::test_bookmark
+ tests/test_merger.py::test_iss1145
+ tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
+ tests/test_merger.py::test_sweep_recursion1
+ tests/test_merger.py::test_sweep_recursion2
+ tests/test_merger.py::test_trim_outline
+ tests/test_merger.py::test_trim_outline_list
+ tests/test_merger.py::test_zoom
+ tests/test_merger.py::test_zoom_xyz_no_left
+ tests/test_page.py::test_empyt_password_1088
+ tests/test_page.py::test_extract_text_operator_t_star
+ tests/test_page.py::test_extract_text_page_pdf
+ tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+ tests/test_page.py::test_extract_text_single_quote_op
+ 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+ tests/test_reader.py::test_extract_text_pdf15
+ tests/test_reader.py::test_extract_text_xref_issue_2
+ tests/test_reader.py::test_extract_text_xref_issue_3
+ tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+ tests/test_reader.py::test_get_fields
+ tests/test_reader.py::test_get_fields_read_else_block
+ tests/test_reader.py::test_get_fields_read_else_block2
+ tests/test_reader.py::test_get_fields_read_else_block3
+ tests/test_reader.py::test_get_fields_read_write_report
+ tests/test_reader.py::test_iss925
+ tests/test_reader.py::test_metadata_is_none
+ tests/test_reader.py::test_outline_color
+ tests/test_reader.py::test_outline_font_format
+ tests/test_reader.py::test_outline_with_empty_action
+ tests/test_reader.py::test_outline_with_missing_named_destination
+ tests/test_reader.py::test_read_form_416
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_xfa_non_empty
+ tests/test_reader.py::test_PdfReaderMultipleDefinitions
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_compress
+ tests/test_workflows.py::test_extract_text
+ tests/test_workflows.py::test_extract_textbench
+ tests/test_workflows.py::test_get_fields
+ tests/test_workflows.py::test_get_fonts
+ tests/test_workflows.py::test_get_metadata
+ tests/test_workflows.py::test_get_outline
+ tests/test_workflows.py::test_image_extraction
+ tests/test_workflows.py::test_merge
+ tests/test_workflows.py::test_merge_with_warning
+ tests/test_workflows.py::test_overlay
+ tests/test_workflows.py::test_scale_rectangle_indirect_object
+ tests/test_workflows.py::test_get_xfa
+ tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+ tests/test_writer.py::test_write_bookmark_on_page_fitv
+ tests/test_xmp.py::test_custom_properties
+ tests/test_xmp.py::test_dc_creator
+ tests/test_xmp.py::test_dc_description
+ tests/test_xmp.py::test_dc_subject
+ tests/test_xmp.py::test_issue585
+ tests/test_xmp.py::test_xmpmm
+ tests/test_merger.py::test_outline_item
+ tests/test_page.py::test_iss_1142
+ tests/test_page.py::test_read_link_annotation
+ tests/test_reader.py::test_named_destination
+ tests/test_writer.py::test_write_outline_item_on_page_fitv
+
+ # TODO
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/aioredis/metadata.xml b/dev-python/aioredis/metadata.xml
index 41fc8f39e165..ea8988e8af6a 100644
--- a/dev-python/aioredis/metadata.xml
+++ b/dev-python/aioredis/metadata.xml
@@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>arthurzam@gentoo.org</email>
- <name>Arthur Zamarin</name>
- </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
diff --git a/dev-python/asttokens/Manifest b/dev-python/asttokens/Manifest
index 6332bf1e5e3c..ee362bf9c1f5 100644
--- a/dev-python/asttokens/Manifest
+++ b/dev-python/asttokens/Manifest
@@ -1,2 +1,3 @@
DIST asttokens-2.0.5.gh.tar.gz 46876 BLAKE2B 8a8da138888de0a4096b10eccc483c9540710acde0da188ed3fb3845f96b862fe2eec393c69ca62e7b313bfa0e2f0d673d828e9d1ff6dbbf5b641fe8122a548d SHA512 3e710ca9703e67643bb9c0a4db4e5c1656e6d5c904a1262a9ddb962beff06e4e8bd9815bcd2509b48974a97a565d8479a4369583c166a65b6d16c19fd926e93f
DIST asttokens-2.0.7.gh.tar.gz 50675 BLAKE2B 75fbeb61b0f3ebba27cb3ea94d45cdb5810bb7b3b9cf1cdacc8e48fa800207af0e9ff4c162742944f30ca5253331f0f55aba21b6186d8a747e8e25f7b350baaa SHA512 eafa47f1e0683df2fc4f93a1f798b845f2d10b63f33eea689333df32e6ffc2b5e693298d912e82974ef4c65d3472aece3cbd0ecd05fa565eb0f94a45915f6905
+DIST asttokens-2.0.8.gh.tar.gz 50804 BLAKE2B 31b5fcf6c8c201279924da9297f16a1de087fe98e930dde341b54b29a54a23a462d44e1b2cc1c4695e7829b0dbb86c5a275ffac7c8430c191fd268026306c912 SHA512 e920aa50ba7f073f198182c053729e43c7cf3812a925cead258708ba88b82f6a7a32499810e67f346db79579607c07f211d924dc9e33b8bfdf44e5c9f171d53c
diff --git a/dev-python/asttokens/asttokens-2.0.8.ebuild b/dev-python/asttokens/asttokens-2.0.8.ebuild
new file mode 100644
index 000000000000..1d878c411fa7
--- /dev/null
+++ b/dev-python/asttokens/asttokens-2.0.8.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Annotate Python AST trees with source text and token information"
+HOMEPAGE="
+ https://github.com/gristlabs/asttokens/
+ https://pypi.org/project/asttokens/
+"
+SRC_URI="
+ https://github.com/gristlabs/asttokens/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/astroid[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # test suite itself broken with new astroid versions, upstream less care
+ # https://github.com/gristlabs/asttokens/issues/79
+ tests/test_astroid.py
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/filebytes/filebytes-9999.ebuild b/dev-python/filebytes/filebytes-9999.ebuild
index d57b51fc9496..d5823ffa9503 100644
--- a/dev-python/filebytes/filebytes-9999.ebuild
+++ b/dev-python/filebytes/filebytes-9999.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/sashs/filebytes"
else
- SRC_URI="https://github.com/sashs/filebytes/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ SRC_URI="https://github.com/sashs/filebytes/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 5b2c65e05ff2..c6c76c3b8428 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,2 +1,3 @@
DIST fonttools-4.33.3.tar.gz 3526937 BLAKE2B 26539f76ac1919e572633695aca7a95f7f715ef18bd7d36de22e5491124ce36d3907f1e7b167d23685bca437f0bf7cf99159cd918ab2b1a450b716166d30fc37 SHA512 403e19cda46d67dea9f517e58c2e95ed04c53e6832919d85df9db4538431252e5ec4554e22410fd45cba634998de1576cf55d50f56de5ad497a108dcec4ed56a
DIST fonttools-4.34.4.gh.tar.gz 3555013 BLAKE2B 0e4149321cea89fb9ec63a52a127f657421d2902f9d9ec72a918bd7230ce5c9117f876bb1fe0b6dfa986b774a5929f41ba8ff868462f240669f8b2067d4bcf39 SHA512 9c6ea7d6e9a9d74d2e705f7966853709ee834195f682bf595f932be2eab8fb728cf69b83680e5b95a308b40b1c17a7d1003efade9473d3f6d8e744ecfd1e2c62
+DIST fonttools-4.35.0.gh.tar.gz 3560204 BLAKE2B d79bbd2e4cca6fc5dd9fd301d29c10e2ff07348be6b57f00744b23ed4b00bb5e10b2415b83477827c0c2dc65262f578c6b6dd90de1243d84d4e83e46537ea804 SHA512 d7919eae04faa61fd3ef8996349239db2a0d5dbdd743dd41a43d1664f0524c0554d314a6d5d0c9aa4468badc47018843b2810ea61996c1bb56906ecd3bb9a4bf
diff --git a/dev-python/fonttools/fonttools-4.35.0.ebuild b/dev-python/fonttools/fonttools-4.35.0.ebuild
new file mode 100644
index 000000000000..48fff4b37489
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.35.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/"
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ export FONTTOOLS_WITH_CYTHON=1
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ epytest Tests fontTools || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/oslo-concurrency/metadata.xml b/dev-python/oslo-concurrency/metadata.xml
index 41fc8f39e165..ea8988e8af6a 100644
--- a/dev-python/oslo-concurrency/metadata.xml
+++ b/dev-python/oslo-concurrency/metadata.xml
@@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>arthurzam@gentoo.org</email>
- <name>Arthur Zamarin</name>
- </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
diff --git a/dev-python/patiencediff/metadata.xml b/dev-python/patiencediff/metadata.xml
index 161bf0562d10..853174b8f2ab 100644
--- a/dev-python/patiencediff/metadata.xml
+++ b/dev-python/patiencediff/metadata.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>arthurzam@gentoo.org</email>
- <name>Arthur Zamarin</name>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
</maintainer>
<origin>gentoo-staging</origin>
diff --git a/dev-python/pygments/Manifest b/dev-python/pygments/Manifest
index bd98adf953a0..96b4dbc5a122 100644
--- a/dev-python/pygments/Manifest
+++ b/dev-python/pygments/Manifest
@@ -1 +1,2 @@
DIST Pygments-2.12.0.tar.gz 4282017 BLAKE2B 9ad241d5bcafe59057e9495edb75468e6fa74d150f2d3266590a5a567a7df8ce2ef4ea18f90a8ab83e2fb84993fcf00dec12b04dd968f4c516b8339c49aecc08 SHA512 70bbfaefeb34f9afb5d74aa924ac3da4a913d1c7f607c0b3f80b6cd25c88a8996e516a689062bf2009c472b29999e309eb044f0f427fa1ea8479bf921b51c524
+DIST Pygments-2.13.0.tar.gz 4324285 BLAKE2B 6edbce4827684baf61c571fe4d900fd8d1850c49ed9a2ec4bf674757b17efc3d933145f0ccb743d5f713887dff95abce58d38ceafb4d5b033d46afbf5645c6fe SHA512 d492acf112423fa997f35d6d3cae18b89bf11619c696879c6df49697dca933b6d54d7cb22907e06812e0a562f03e8ed5ccefde5247bc1c51cf2d3d69e7d65422
diff --git a/dev-python/pygments/pygments-2.13.0.ebuild b/dev-python/pygments/pygments-2.13.0.ebuild
new file mode 100644
index 000000000000..5f0a5a8e8146
--- /dev/null
+++ b/dev-python/pygments/pygments-2.13.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 bash-completion-r1
+
+MY_P=${P^}
+DESCRIPTION="Pygments is a syntax highlighting package written in Python"
+HOMEPAGE="
+ https://pygments.org/
+ https://github.com/pygments/pygments/
+ https://pypi.org/project/Pygments/
+"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/wcag-contrast-ratio[${PYTHON_USEDEP}]
+ virtual/ttf-fonts
+ )
+"
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+ newbashcomp external/pygments.bashcomp pygmentize
+}
diff --git a/dev-python/reportlab/reportlab-3.6.11.ebuild b/dev-python/reportlab/reportlab-3.6.11.ebuild
index 3d3494a29542..f6b60e76f31a 100644
--- a/dev-python/reportlab/reportlab-3.6.11.ebuild
+++ b/dev-python/reportlab/reportlab-3.6.11.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
DEPEND="
media-libs/freetype
diff --git a/dev-python/sphinxcontrib-apidoc/metadata.xml b/dev-python/sphinxcontrib-apidoc/metadata.xml
index 42803984458e..ea8988e8af6a 100644
--- a/dev-python/sphinxcontrib-apidoc/metadata.xml
+++ b/dev-python/sphinxcontrib-apidoc/metadata.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>arthurzam@gentoo.org</email>
- <name>Arthur Zamarin</name>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
</maintainer>
<origin>gentoo-staging</origin>
diff --git a/dev-python/tempest/metadata.xml b/dev-python/tempest/metadata.xml
index 41fc8f39e165..ea8988e8af6a 100644
--- a/dev-python/tempest/metadata.xml
+++ b/dev-python/tempest/metadata.xml
@@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>arthurzam@gentoo.org</email>
- <name>Arthur Zamarin</name>
- </maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
diff --git a/dev-python/wand/Manifest b/dev-python/wand/Manifest
index 6ff9c203df35..d0ee80cc6006 100644
--- a/dev-python/wand/Manifest
+++ b/dev-python/wand/Manifest
@@ -1,3 +1,2 @@
-DIST Wand-0.6.7.tar.gz 11686093 BLAKE2B 58abbdc22eb1603ed42e2e2473c0ed2b9026c9c0a499bb885512b56ecf01fb4ffe450979808bba2b4c4466994f86bea9a9c0ced216f8338c845b96a755f39c9f SHA512 e79ecb909f6ad7b3ddae217bb7b27f3c010d22a40eb99866e2a6eb07346000acbead280176e3352da13c20b68a341c751c55d6203bef7968522c8dbcfcab0b06
-DIST Wand-0.6.8.tar.gz 11884527 BLAKE2B 45784abf55682d8b5e101cc4fc93f0492f9275a2805f06dbda2d98e28c6359c7df84fd7870b12348c0a6c513ae3f2bafba61a00020a41263d6a91fd67d9ce682 SHA512 111eef211edd8d5a6c825f0b455db5510c91b43852165934dbab36a9cdeea7e920987c98d975fb8c7f82ac19f20867c0ed5c8c1e2f9dd9467bc30931b4a03dd1
+DIST Wand-0.6.10.tar.gz 11885159 BLAKE2B 206a652fa87a69f4d7af6156b2dc2b0ff515f317f9ad3d938ee15e50043ab3e3ffc052e0650ebfb2e5f5c5d1d1f1500f4880578a6cd7765d6c3af02f877fd843 SHA512 bde72e0ec56898c0885e483ec8dafc5dd2fbc1319736b5d46074cb00d1643c5368fbf66e0c8ff918dbe4b7b6ac4901551ee2c8563317c90c269e7ccfe53edf6f
DIST Wand-0.6.9.tar.gz 11885077 BLAKE2B 15390e6aca4ac947dbeba84e2f6805689d4c44e318f7dd4827c6cf2cca42066968de0d9a7a932c950f79ef82bc090d8061e86b63234477f4807b5dc1cc36f735 SHA512 23adcb3360bc6a579aa4e4ff406631821cca05c8ad5ca057510a3185bf09ee58c13940706ce3b725545cc46ca5e8aaaebeb9b418e2a91cf15b570e223ede6552
diff --git a/dev-python/wand/wand-0.6.8.ebuild b/dev-python/wand/wand-0.6.10.ebuild
index 9ddf8c8f4ae6..9ddf8c8f4ae6 100644
--- a/dev-python/wand/wand-0.6.8.ebuild
+++ b/dev-python/wand/wand-0.6.10.ebuild
diff --git a/dev-python/wand/wand-0.6.7-r1.ebuild b/dev-python/wand/wand-0.6.7-r1.ebuild
deleted file mode 100644
index fbb761474542..000000000000
--- a/dev-python/wand/wand-0.6.7-r1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-MY_P="${PN^}-${PV}"
-DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
-HOMEPAGE="http://wand-py.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="media-gfx/imagemagick"
-BDEPEND="
- test? (
- media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
- )
-"
-
-distutils_enable_sphinx docs
-distutils_enable_tests pytest
-
-python_test() {
- # PDF support is blocked by the default ImageMagick security policy
- epytest --skip-pdf
-}
diff --git a/dev-python/wand/wand-0.6.7.ebuild b/dev-python/wand/wand-0.6.7.ebuild
deleted file mode 100644
index 97a85266dddf..000000000000
--- a/dev-python/wand/wand-0.6.7.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-MY_P="${PN^}-${PV}"
-DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
-HOMEPAGE="http://wand-py.org/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="media-gfx/imagemagick"
-BDEPEND="
- test? (
- media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
- )
-"
-
-distutils_enable_sphinx docs
-distutils_enable_tests pytest
-
-python_test() {
- # PDF support is blocked by the default ImageMagick security policy
- epytest --skip-pdf
-}